PredictorRegistry::Iterator Class Reference

`#include <predictorRegistry.h>`

Collaboration diagram for PredictorRegistry::Iterator:

## Public Member Functions

| Iterator (std::vector< Predictor * > &)
| ~Iterator ()
bool | hasNext () const
Predictor * | next ()

## Private Attributes

std::vector< Predictor * > ::iterator | iter_end
std::vector< Predictor * > ::iterator | iter_curr

## Detailed Description

Definition at line 53 of file predictorRegistry.h.

## Constructor & Destructor Documentation

PredictorRegistry::Iterator::Iterator | ( | std::vector< Predictor * > & | cont | ) |

Definition at line 180 of file predictorRegistry.cpp.

PredictorRegistry::Iterator::~Iterator | ( |  | ) |

Definition at line 185 of file predictorRegistry.cpp.

## Member Function Documentation

bool PredictorRegistry::Iterator::hasNext | ( |  | ) | const

Definition at line 188 of file predictorRegistry.cpp.

Referenced by PredictorActivator::predict(), and ContextTracker::update().

Here is the caller graph for this function:

Predictor * PredictorRegistry::Iterator::next | ( |  | ) |

Definition at line 195 of file predictorRegistry.cpp.

Referenced by PredictorActivator::predict(), and ContextTracker::update().

Here is the caller graph for this function:

## Member Data Documentation

std::vector<Predictor*>::iterator PredictorRegistry::Iterator::iter_curr

private

Definition at line 63 of file predictorRegistry.h.

std::vector<Predictor*>::iterator PredictorRegistry::Iterator::iter_end

private

Definition at line 62 of file predictorRegistry.h.

The documentation for this class was generated from the following files:

- /build/buildd/presage-0.8.8/src/lib/core/predictorRegistry.h
- /build/buildd/presage-0.8.8/src/lib/core/predictorRegistry.cpp